/// <reference types="react" />
export declare type FetchingUiProps<ResultProps = any, ExecProps = any> = {
    onClick?: any;
    loading?: any;
    error?: any;
    result?: ResultProps;
    loadingLabel?: string;
    triggerLabel?: string;
    resultComponent?: (props: {
        result: ResultProps;
    }) => any;
    triggerComponent?: (props: {
        exec: (props: ExecProps) => any;
    }) => any;
    func?: any;
};
export default function FetchingUi<ResultProps = any, ExecProps = any>(props: FetchingUiProps<ResultProps, ExecProps>): JSX.Element;
